editors/gedit - The NetBSD Packages Collection

Lightweight GNOME UTF-8 text editor

gedit is a small and lightweight UTF-8 text editor.  It is part of
GNOME and uses the latest GTK+ and GNOME libraries.  Complete GNOME
integration is featured, with support for Drag and Drop (DnD) from
Nautilus (the GNOME file manager), the use of the GNOME help system,
the GNOME Virtual File System and the GNOME print framework.

gedit uses a Multiple Document Interface (MDI), which lets you edit
more than one document at the same time.  It supports most standard
editing features, plus several not found in your average text editor
(plugins being the most notable of these).  Plugins may also be
written in the python scripting language: to enable python support
you need the pygtk and gnome-python-desktop bindings.

Build dependencies

textproc/itstool devel/meson pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/gettext-tools devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

graphics/adwaita-icon-theme devel/py-gobject3 devel/gobject-introspection devel/glib2 devel/glib2 devel/libpeas devel/libpeas x11/gtk3 x11/gtk3 lang/python38 lang/python38 editors/tepl4 x11/gtksourceview4 x11/gtksourceview4 graphics/hicolor-icon-theme sysutils/desktop-file-utils sysutils/gsettings-desktop-schemas textproc/gspell devel/gobject-introspection devel/glib2 devel/libpeas x11/gtk3 editors/tepl4 x11/gtksourceview4 graphics/hicolor-icon-theme sysutils/desktop-file-utils textproc/gspell

Available binary packages

aarch64:gedit-3.22.1nb13.tgz(NetBSD 9.0)
aarch64:gedit-3.36.2nb2.tgz(NetBSD 9.0)
aarch64:gedit-3.36.2nb4.tgz(NetBSD 9.0)
earmv6hf:gedit-3.36.2nb4.tgz(NetBSD 9.0)
earmv6hf:gedit-3.22.1nb13.tgz(NetBSD 9.0)
earmv6hf:gedit-3.36.2nb2.tgz(NetBSD 9.0)
earmv6hf:gedit-3.36.2nb4.tgz(NetBSD 9.0)
earmv7hf:gedit-3.36.2nb4.tgz(NetBSD 8.0)
earmv7hf:gedit-3.22.1nb12.tgz(NetBSD 8.0)
earmv7hf:gedit-3.22.1nb13.tgz(NetBSD 8.0)
earmv7hf:gedit-3.36.2nb4.tgz(NetBSD 9.0)
earmv7hf:gedit-3.22.1nb12.tgz(NetBSD 9.0)
earmv7hf:gedit-3.22.1nb13.tgz(NetBSD 9.0)
earmv7hf:gedit-3.36.2nb2.tgz(NetBSD 9.0)
earmv7hf:gedit-3.36.2nb4.tgz(NetBSD 9.0)
i386:gedit-3.22.1nb13.tgz(NetBSD 8.0)
i386:gedit-3.36.2nb2.tgz(NetBSD 8.0)
i386:gedit-3.36.2nb4.tgz(NetBSD 8.0)
i386:gedit-3.22.1nb13.tgz(NetBSD 9.0)
i386:gedit-3.36.2nb2.tgz(NetBSD 9.0)
i386:gedit-3.36.2nb4.tgz(NetBSD 9.0)
mips64eb:gedit-3.36.2nb4.tgz(NetBSD 9.0)
sparc64:gedit-3.36.2nb4.tgz(NetBSD 9.0)
sparc64:gedit-3.36.2nb2.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb3.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb4.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb4.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb2.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb2.tgz(NetBSD 8.0)
x86_64:gedit-3.22.1nb13.tgz(NetBSD 8.0)
x86_64:gedit-3.36.2nb4.tgz(NetBSD 8.0)
x86_64:gedit-3.22.1nb13.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb2.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb4.tgz(NetBSD 9.0)
x86_64:gedit-3.36.2nb4.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]